
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef stereopixel_ERROR_H
#define stereopixel_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_stereopixel    (3040)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_stereopixel_CANNOT_OPEN_FILE     H2_ENCODE_ERR(M_stereopixel, 1)
#define S_stereopixel_CANNOT_CREATE_POSTER H2_ENCODE_ERR(M_stereopixel, 2)
#define S_stereopixel_NOT_ENOUGH_MEMORY    H2_ENCODE_ERR(M_stereopixel, 3)
#define S_stereopixel_CORRELATION_FAILED   H2_ENCODE_ERR(M_stereopixel, 4)
#define S_stereopixel_UNKNOWN_CORREL_STEP  H2_ENCODE_ERR(M_stereopixel, 5)
#define S_stereopixel_BANK_IS_NOT_STEREO   H2_ENCODE_ERR(M_stereopixel, 6)
#define S_stereopixel_NO_CAMERA_POSTER     H2_ENCODE_ERR(M_stereopixel, 7)


/* std errors */
#define S_stereopixel_stdGenoM_ACTIVITY_INTERRUPTED       199287809   /* 3040<<16 | 0x8000 | 100<<8 | 1 */
#define S_stereopixel_stdGenoM_TOO_MANY_ACTIVITIES        199287810   /* 3040<<16 | 0x8000 | 100<<8 | 2 */
#define S_stereopixel_stdGenoM_ACTIVITY_FAILED            199287811   /* 3040<<16 | 0x8000 | 100<<8 | 3 */
#define S_stereopixel_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 199287812   /* 3040<<16 | 0x8000 | 100<<8 | 4 */
#define S_stereopixel_stdGenoM_UNKNOWN_ACTIVITY           199287813   /* 3040<<16 | 0x8000 | 100<<8 | 5 */
#define S_stereopixel_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 199287814   /* 3040<<16 | 0x8000 | 100<<8 | 6 */
#define S_stereopixel_stdGenoM_SYSTEM_ERROR               199287815   /* 3040<<16 | 0x8000 | 100<<8 | 7 */
#define S_stereopixel_stdGenoM_ACTIVITY_ALREADY_ENDED     199287816   /* 3040<<16 | 0x8000 | 100<<8 | 8 */
#define S_stereopixel_stdGenoM_WAIT_INIT_RQST             199287817   /* 3040<<16 | 0x8000 | 100<<8 | 9 */
#define S_stereopixel_stdGenoM_CONTROL_CODEL_ERROR        199287818   /* 3040<<16 | 0x8000 | 100<<8 | 10 */
#define S_stereopixel_stdGenoM_EXEC_TASK_SUSPENDED        199287819   /* 3040<<16 | 0x8000 | 100<<8 | 11 */
#define S_stereopixel_stdGenoM_BAD_BLOCK_TYPE             199287820   /* 3040<<16 | 0x8000 | 100<<8 | 12 */
#define S_stereopixel_stdGenoM_BAD_POSTER_TYPE            199287821   /* 3040<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define STEREOPIXEL_H2_ERR_MSGS {\
    {"CANNOT_OPEN_FILE", 1},\
    {"CANNOT_CREATE_POSTER", 2},\
    {"NOT_ENOUGH_MEMORY", 3},\
    {"CORRELATION_FAILED", 4},\
    {"UNKNOWN_CORREL_STEP", 5},\
    {"BANK_IS_NOT_STEREO", 6},\
    {"NO_CAMERA_POSTER", 7},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int stereopixelRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
