
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef stereopixel_POSTER_LIB_H
#define stereopixel_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "stereopixelType.h"
#include "stereopixelError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[STEREOPIXEL_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} STEREOPIXEL_CNTRL_STR;

/* For consistency with other posters */
typedef STEREOPIXEL_CNTRL_STR STEREOPIXEL_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "stereopixelPosterLibStruct.h"



/* Posters */
#define STEREOPIXEL_CNTRL_POSTER_NAME genomInstanceSuffixName("stereopixel", "Cntrl")
#define STEREOPIXEL_DISPARITY_POSTER_NAME genomInstanceSuffixName("stereopixel", "Disparity")
#define STEREOPIXEL_THREEDIMAGE_POSTER_NAME genomInstanceSuffixName("stereopixel", "ThreeDImage")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS stereopixelPosterInit ( void );
extern POSTER_ID stereopixelCntrlPosterID ();
extern STATUS stereopixelCntrlPosterRead ( STEREOPIXEL_CNTRL_STR *stereopixelCntrlStrId );
extern STATUS stereopixelCntrlPosterInit ( void );
extern STATUS stereopixelCntrlInstancePosterRead(const char *name, STEREOPIXEL_CNTRL_STR *stereopixelCntrlStrId);
extern STATUS stereopixelDisparityPosterInit ( void );
extern POSTER_ID stereopixelDisparityPosterID ( void );
extern STATUS stereopixelDisparityPosterRead ( STEREOPIXEL_DISPARITY_POSTER_STR *x );
extern STATUS stereopixelDisparityInstancePosterRead ( const char *, STEREOPIXEL_DISPARITY_POSTER_STR * );
extern STATUS stereopixelDisparityDisparityPosterRead ( SpixDisparity *Disparity );
extern STATUS stereopixelDisparityDisparityInstancePosterRead( const char *, SpixDisparity * );
extern STATUS stereopixelThreeDImagePosterInit ( void );
extern POSTER_ID stereopixelThreeDImagePosterID ( void );
extern STATUS stereopixelThreeDImagePosterRead ( STEREOPIXEL_THREEDIMAGE_POSTER_STR *x );
extern STATUS stereopixelThreeDImageInstancePosterRead ( const char *, STEREOPIXEL_THREEDIMAGE_POSTER_STR * );
extern STATUS stereopixelThreeDImageImagePosterRead ( Spix3DImage *Image );
extern STATUS stereopixelThreeDImageImageInstancePosterRead( const char *, Spix3DImage * );
#ifdef __cplusplus
}
#endif
#endif

