/*	$Id$ */

/* 
 * Copyright (c) 1999 LAAS/CNRS                       --  Mon Aug  7 2006
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */
#ifndef _SCORRELCLIENT_H
#define _SCORRELCLIENT_H

#include "pomStruct.h"

/*
 * Posters --------------------------------------------------------------
 */

typedef struct SpixDisparity {
   POM_SENSOR_POS imageLeftPos;
   POM_SENSOR_POS imageRightPos;

   int width, height;
   float pixel[1]; /* 'width' by 'height' array */
} SpixDisparity;

typedef struct Spix3DPixel {

   int good;
   float x,y,z;
   float sigma; /* XXX  voir */

} Spix3DPixel;


typedef struct Spix3DImage {
   POM_SENSOR_POS imageLeftPos;
   POM_SENSOR_POS imageRightPos;
   unsigned long imageTicks;	/* video image acquisition date */

   double intrinseque_rectified[9];	

   int width, height;
   Spix3DPixel pixel[1];		/* 'width' by 'height' array */
} Spix3DImage;

#define STEREOPIXEL_3DIMAGE_POSTER_SIZE(w, h) \
	((char *)&((Spix3DImage *)NULL)->pixel[(w)*(h)] - (char *)NULL)
#define STEREOPIXEL_3DIMAGE_POSTER_NAME	"stereopixelThreeDImage"

#endif /* _SCORRELCLIENT_H */
